import { html as h } from "lit";
import { property as n } from "lit/decorators.js";
import { PieIconComponent as a } from "./PieIconComponent.js";
import { safeCustomElement as v } from "@justeattakeaway/pie-webc-core";
var f = Object.defineProperty, m = Object.getOwnPropertyDescriptor, p = (c, t, i, r) => {
  for (var e = r > 1 ? void 0 : r ? m(t, i) : t, o = c.length - 1, l; o >= 0; o--)
    (l = c[o]) && (e = (r ? l(t, i, e) : l(e)) || e);
  return r && e && f(t, i, e), e;
};
let s = class extends a {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--review", this.class = "c-pieIcon c-pieIcon--review", this.name = "IconReview";
  }
  render() {
    return h`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--review"><path d="M12.375 1.219h-8.75A1.54 1.54 0 0 0 2.094 2.75v7.875a1.54 1.54 0 0 0 1.531 1.531h1.628L8 14.904l2.748-2.748h1.627a1.54 1.54 0 0 0 1.531-1.531V2.75a1.54 1.54 0 0 0-1.531-1.531m.219 9.406a.22.22 0 0 1-.219.219h-2.17L8 13.049l-2.205-2.205h-2.17a.22.22 0 0 1-.219-.219V2.75a.22.22 0 0 1 .219-.219h8.75a.22.22 0 0 1 .219.219zM8.814 5.83l1.82.263L9.32 7.379l.306 1.811L8 8.341l-1.628.875.307-1.811-1.304-1.312 1.82-.263L8 4.185z"></path></svg>`;
  }
};
p([
  n({ type: String, reflect: !0 })
], s.prototype, "size", 2);
p([
  n({ type: String, reflect: !0 })
], s.prototype, "class", 2);
s = p([
  v("icon-review")
], s);
export {
  s as IconReview
};
